/*
 * This file is part of the QPxTool project.
 * Copyright (C) 2005-2006 Gennady "ShultZ" Kozlov <qpxtool@mail.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See the file "COPYING" for the exact licensing terms.
 */

#ifndef __common_functions_h
#define __common_functions_h

typedef struct{
	int	m;
	int	s;
	int	f;
} msf;

extern int swap4(char* c);
extern int swap4(unsigned char* c);
extern int swap4(int c_);
extern short int swap2(char* c);
extern short int swap2(unsigned char* c);
extern unsigned short int swap2u(char* c);
extern unsigned short int swap2u(unsigned char* c);
extern void lba2msf(int* lba, msf* time);
extern int min(int a, int b);
extern int max(int a, int b);
extern void remove_double_spaces(char* str);
extern void remove_end_spaces(char* str);
extern void file_path_name(char* str, char* fpath, char* fname);
extern void file_suf_rm(char* str);
extern int dispers(int m, int* arr, int l);

#endif
